org.apache.http.impl.auth

## Class GGSSchemeBase

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.GGSSchemeBase

- All Implemented Interfaces:
    AuthScheme, ContextAwareAuthScheme
  Direct Known Subclasses:
    KerberosScheme, NegotiateScheme, SPNegoScheme

      public abstract class GGSSchemeBase
      extends AuthSchemeBase

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.Header` | `authenticate(Credentials credentials, org.apache.http.HttpRequest request)` Deprecated. (4.2) Use `ContextAwareAuthScheme.authenticate( Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
    `org.apache.http.Header` | `authenticate(Credentials credentials, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Produces an authorization string for the given set of `Credentials`.
    `protected byte[]` | `generateGSSToken(byte[] input, Oid oid, String authServer)`
    `protected byte[]` | `generateGSSToken(byte[] input, Oid oid, String authServer, Credentials credentials)`
    `protected byte[]` | `generateToken(byte[] input, String authServer)` Deprecated. (4.4) Use `generateToken(byte[], String, org.apache.http.auth.Credentials)`.
    `protected byte[]` | `generateToken(byte[] input, String authServer, Credentials credentials)`
    `protected GSSManager` | `getManager()`
    `boolean` | `isComplete()` Authentication process may involve a series of challenge-response exchanges.
    `protected void` | `parseChallenge(org.apache.http.util.CharArrayBuffer buffer, int beginIndex, int endIndex)`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.auth.AuthScheme

      `getParameter, getRealm, getSchemeName, isConnectionBased`

- - ### Method Detail

    - #### getManager

          protected GSSManager getManager()

    - #### generateGSSToken

          protected byte[] generateGSSToken(byte[] input,
                                Oid oid,
                                String authServer)
                                     throws GSSException

      Throws:
        `GSSException`

    - #### generateGSSToken

          protected byte[] generateGSSToken(byte[] input,
                                Oid oid,
                                String authServer,
                                Credentials credentials)
                                     throws GSSException

      Throws:
        `GSSException`
      Since:
        4.4

    - #### generateToken

          @Deprecated
          protected byte[] generateToken(byte[] input,
                                        String authServer)
                                  throws GSSException

      Deprecated. (4.4) Use `generateToken(byte[], String, org.apache.http.auth.Credentials)`.
      Throws:
        `GSSException`

    - #### generateToken

          protected byte[] generateToken(byte[] input,
                             String authServer,
                             Credentials credentials)
                                  throws GSSException

      Throws:
        `GSSException`
      Since:
        4.4

    - #### isComplete

          public boolean isComplete()

      Description copied from interface: `AuthScheme`
      Authentication process may involve a series of challenge-response exchanges. This method tests if the authorization process has been completed, either successfully or unsuccessfully, that is, all the required authorization challenges have been processed in their entirety.
      Returns:
        `true` if the authentication process has been completed, `false` otherwise.

    - #### authenticate

          @Deprecated
          public org.apache.http.Header authenticate(Credentials credentials,
                                                       org.apache.http.HttpRequest request)
                                              throws AuthenticationException

      Deprecated. (4.2) Use `ContextAwareAuthScheme.authenticate( Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
      Description copied from interface: `AuthScheme`
      Produces an authorization string for the given set of `Credentials`.
      Parameters:
        `credentials` - The set of credentials to be used for athentication
        `request` - The request being authenticated
      Returns:
        the authorization string
      Throws:
        `AuthenticationException` - if authorization string cannot be generated due to an authentication failure

    - #### authenticate

          public org.apache.http.Header authenticate(Credentials credentials,
                                            org.apache.http.HttpRequest request,
                                            org.apache.http.protocol.HttpContext context)
                                              throws AuthenticationException

      Description copied from interface: `ContextAwareAuthScheme`
      Produces an authorization string for the given set of `Credentials`.
      Specified by:
        `authenticate` in interface `ContextAwareAuthScheme`
      Overrides:
        `authenticate` in class `AuthSchemeBase`
      Parameters:
        `credentials` - The set of credentials to be used for athentication
        `request` - The request being authenticated
        `context` - HTTP context
      Returns:
        the authorization string
      Throws:
        `AuthenticationException` - if authorization string cannot be generated due to an authentication failure

    - #### parseChallenge

          protected void parseChallenge(org.apache.http.util.CharArrayBuffer buffer,
                            int beginIndex,
                            int endIndex)
                                 throws MalformedChallengeException

      Specified by:
        `parseChallenge` in class `AuthSchemeBase`
      Throws:
        `MalformedChallengeException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.